Skip to main content

Overview

The updateMeetingPrivacy mutation allows for updating the privacy setting of a meeting transcript. This operation requires admin privileges within the team or ownership of the meeting.

Arguments

input
UpdateMeetingPrivacyInput
required
The privacy setting to be assigned to the meeting / transcript. See UpdateMeetingPrivacyInput.

Usage Example

To update a meeting’s privacy setting, provide the transcript ID and the new privacy level as arguments to the mutation. Here’s an example of how this mutation could be used:
mutation UpdateMeetingPrivacy($input: UpdateMeetingPrivacyInput!) {
  updateMeetingPrivacy(input: $input) {
    id
    title
    privacy
  }
}
curl -X POST https://api.fireflies.ai/graphql \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer your_api_key" \
	-d '{
		"query": "mutation($input: UpdateMeetingPrivacyInput!) { updateMeetingPrivacy(input: $input) { id title privacy } }",
		"variables": {
			"input": {
				"id": "your_transcript_id",
				"privacy": "teammates"
			}
		}
	}'
const axios = require('axios');

const url = 'https://api.fireflies.ai/graphql';
const headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer your_api_key'
};

const data = {
  query: `
    mutation($input: UpdateMeetingPrivacyInput!) {
      updateMeetingPrivacy(input: $input) {
        id
        title
        privacy
      }
    }
  `,
  variables: {
    input: {
      id: 'your_transcript_id',
      privacy: 'teammates'
    }
  }
};

const response = await axios.post(url, data, { headers });
console.log(response.data);
import requests

url = 'https://api.fireflies.ai/graphql'
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer your_api_key'
}

data = {
  'query': `
    mutation($input: UpdateMeetingPrivacyInput!) {
      updateMeetingPrivacy(input: $input) {
        id
        title
        privacy
      }
    }
  `,
  'variables': {
    'input': {
      'id': 'your_transcript_id',
      'privacy': 'teammates'
    }
  }
}

response = requests.post(url, json=data, headers=headers)
print(response.json())
import java.io.IOException;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpRequest.BodyPublishers;
import java.net.http.HttpResponse.BodyHandlers;

public class UpdateMeetingPrivacyExample {
    public static void main(String[] args) throws IOException, InterruptedException {
        HttpClient client = HttpClient.newHttpClient();

        String json = "{"
            + "\"query\":\"mutation($input: UpdateMeetingPrivacyInput!) { updateMeetingPrivacy(input: $input) { id title privacy } }\","
            + "\"variables\":{"
            + "\"input\":{"
            + "\"id\":\"your_transcript_id\","
            + "\"privacy\":\"teammates\""
            + "}"
            + "}"
            + "}";

        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create("https://api.fireflies.ai/graphql"))
                .header("Content-Type", "application/json")
                .header("Authorization", "Bearer your_api_key")
                .POST(BodyPublishers.ofString(json))
                .build();

        client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
            .thenApply(HttpResponse::body)
            .thenAccept(System.out::println)
            .join();
    }
}
{
  "data": {
    "updateMeetingPrivacy": {
      "id": "your_transcript_id",
      "title": "Meeting Title",
      "privacy": "teammates"
    }
  }
}

FAQ

Only users with admin privileges or meeting owners can update meeting privacy settings. The meeting owner also needs to be in your team.

Available privacy levels are: link (anyone with link), owner (meeting owner only), participants (meeting participants only), teammatesandparticipants (teammates and participants), teammates (teammates only).

Error Codes

List of possible error codes that may be returned by the updateMeetingPrivacy mutation. Full list of error codes can be found here.

The user must be either the meeting owner or a team admin to update meeting privacy.

The specified transcript could not be found or you do not have access to it

Additional Resources

Transcript

Querying transcript details

Update Meeting Title

Use the API to update meeting titles